Update router
curl --request PATCH \
--url https://api.gcore.com/cloud/v2/routers/{project_id}/{region_id}/{router_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"external_gateway_info": {
"enable_snat": false,
"network_id": "d7745dcf-b302-4795-9d61-6cc52487af48",
"type": "manual"
},
"name": "my_renamed_router",
"routes": [
{
"destination": "10.0.3.0/24",
"nexthop": "10.0.0.13"
}
]
}
'import requests
url = "https://api.gcore.com/cloud/v2/routers/{project_id}/{region_id}/{router_id}"
payload = {
"external_gateway_info": {
"enable_snat": False,
"network_id": "d7745dcf-b302-4795-9d61-6cc52487af48",
"type": "manual"
},
"name": "my_renamed_router",
"routes": [
{
"destination": "10.0.3.0/24",
"nexthop": "10.0.0.13"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_gateway_info: {
enable_snat: false,
network_id: 'd7745dcf-b302-4795-9d61-6cc52487af48',
type: 'manual'
},
name: 'my_renamed_router',
routes: [{destination: '10.0.3.0/24', nexthop: '10.0.0.13'}]
})
};
fetch('https://api.gcore.com/cloud/v2/routers/{project_id}/{region_id}/{router_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Routers
Update router
Update the configuration of an existing router.
PATCH
/
cloud
/
v2
/
routers
/
{project_id}
/
{region_id}
/
{router_id}
Update router
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Router ID
Example:
"ccd5b925-e35c-4611-a511-67ab503104c8"
Body
application/json
New external gateway configuration. Only type 'manual' is accepted on update, so you must provide the network_id of the external network. Set to null to remove the external gateway.
Show child attributes
Show child attributes
Example:
{
"enable_snat": false,
"network_id": "d7745dcf-b302-4795-9d61-6cc52487af48",
"type": "manual"
}
New name of router
Pattern:
^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$Example:
"my_renamed_router"
List of custom routes.
Show child attributes
Show child attributes
Example:
[
{
"destination": "10.0.3.0/24",
"nexthop": "10.0.0.13"
}
]
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I